summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author LukenShiro2013-02-11 09:30:00 +0100
committer Erik Hanson2013-02-14 07:26:55 +0100
commitca52d6eb9424caab33008fc5b49ccfab078cc01f (patch)
treecd0a9a5f4d0ab6290fa706c65c5a2d6e632cc118 /office
parentfbc3d677325dde73ba8735fa94008ec0e3657f53 (diff)
downloadslackbuilds-ca52d6eb9424caab33008fc5b49ccfab078cc01f.tar.gz
office/flowkeeper: Added (Java-based timer for Pomodoro Technique(R))
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/flowkeeper/README11
-rw-r--r--office/flowkeeper/doinst.sh10
-rw-r--r--office/flowkeeper/flowkeeper6
-rw-r--r--office/flowkeeper/flowkeeper.SlackBuild79
-rw-r--r--office/flowkeeper/flowkeeper.desktop9
-rw-r--r--office/flowkeeper/flowkeeper.info10
-rw-r--r--office/flowkeeper/slack-desc19
7 files changed, 144 insertions, 0 deletions
diff --git a/office/flowkeeper/README b/office/flowkeeper/README
new file mode 100644
index 0000000000..cb7e3c24b6
--- /dev/null
+++ b/office/flowkeeper/README
@@ -0,0 +1,11 @@
+Flowkeeper is a new desktop software timer for Pomodoro Technique(R),
+which is a very simple yet effective way to increase personal productivity,
+currently licensed as freeware.
+
+Daily task plan file (flowkeeper.xml) is stored by the program in user's
+$HOME directory.
+Even if the program has somewhat limited functionality (being in its first
+version), you can easily edit this XML file (but only when the program is
+not running!).
+
+It is compatible with jdk (from SlackBuilds.org) and with OpenJDK.
diff --git a/office/flowkeeper/doinst.sh b/office/flowkeeper/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/office/flowkeeper/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/flowkeeper/flowkeeper b/office/flowkeeper/flowkeeper
new file mode 100644
index 0000000000..27937019ee
--- /dev/null
+++ b/office/flowkeeper/flowkeeper
@@ -0,0 +1,6 @@
+#!/bin/sh
+# wrapper for flowkeeper
+# Written by LukenShiro (lukenshiro@ngi.it) for SlackBuilds.org
+
+exec java -jar /usr/share/flowkeeper/flowkeeper.jar
+
diff --git a/office/flowkeeper/flowkeeper.SlackBuild b/office/flowkeeper/flowkeeper.SlackBuild
new file mode 100644
index 0000000000..e4f413c1f0
--- /dev/null
+++ b/office/flowkeeper/flowkeeper.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for flowkeeper
+
+# Copyright 2013 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flowkeeper
+VERSION=${VERSION:-2010.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Jar file
+mkdir -p $PKG/usr/share/$PRGNAM
+install -m0644 $CWD/$PRGNAM.jar $PKG/usr/share/$PRGNAM
+
+# Wrapper file
+mkdir -p $PKG/usr/bin
+install -m0755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Extract the icon from .jar file
+unzip -j $CWD/$PRGNAM.jar images/tomato32.png
+mkdir -p $PKG/usr/share/pixmaps
+install -m0644 -oroot -groot tomato32.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file (written by SlackBuild author)
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/flowkeeper/flowkeeper.desktop b/office/flowkeeper/flowkeeper.desktop
new file mode 100644
index 0000000000..1a598cc7a4
--- /dev/null
+++ b/office/flowkeeper/flowkeeper.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=2010.12
+Name=Flowkeeper
+Comment=Desktop timer for Pomodoro Technique
+Exec=flowkeeper
+Icon=flowkeeper
+Terminal=false
+Type=Application
+Categories=Office;Java;
diff --git a/office/flowkeeper/flowkeeper.info b/office/flowkeeper/flowkeeper.info
new file mode 100644
index 0000000000..be0901fcb8
--- /dev/null
+++ b/office/flowkeeper/flowkeeper.info
@@ -0,0 +1,10 @@
+PRGNAM="flowkeeper"
+VERSION="2010.12"
+HOMEPAGE="http://flowkeeper,org"
+DOWNLOAD="http://flowkeeper.sourceforge.net/flowkeeper.jar"
+MD5SUM="f0266dacce69ceaca0c9668d6701a1ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
diff --git a/office/flowkeeper/slack-desc b/office/flowkeeper/slack-desc
new file mode 100644
index 0000000000..50627dc6ff
--- /dev/null
+++ b/office/flowkeeper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+flowkeeper: Flowkeeper (Java-based timer for Pomodoro Technique(R))
+flowkeeper:
+flowkeeper: It is a new desktop software timer for Pomodoro Technique(R), which
+flowkeeper: is a very simple yet effective way to increase personal productivity.
+flowkeeper: This is the first version with somewhat limited functionality.
+flowkeeper:
+flowkeeper:
+flowkeeper:
+flowkeeper:
+flowkeeper: Homepage: http://flowkeeper.org
+flowkeeper: